Download it now!
Bug 108855 - 'Restart Now' from Certificate Path does nothing if options dialog is called from a component
Summary: 'Restart Now' from Certificate Path does nothing if options dialog is called ...
Status: RESOLVED DUPLICATE of bug 122846
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha1
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: haveBacktrace
Depends on:
Blocks: Options-Dialog
  Show dependency treegraph
 
Reported: 2017-06-29 11:02 UTC by Xisco Faulí
Modified: 2019-01-21 16:07 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
GDB trace of crash with master (37.02 KB, text/plain)
2017-06-29 19:34 UTC, Buovjaga
Details
bt with debug symbols (gtk3) (15.42 KB, text/plain)
2017-07-02 20:38 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-06-29 11:02:04 UTC
Steps to reproduce:
1. Go to Tools - Options - Security - Certificate
2. Change the certificate path
3. Click on 'Restart Now'

Observed behaviour: Nothing happens

Expected behaviour: LibreOffice should get restarted

Reproduced in

Version: 6.0.0.0.alpha0+
Build ID: 7931ef2abbcef22de5cdddd26738e4dd8d1d8ca5
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

and 

Version: 5.2.0.0.alpha1+
Build ID: 5b168b3fa568e48e795234dc5fa454bf24c9805e
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8)
Comment 1 Buovjaga 2017-06-29 19:34:07 UTC
Created attachment 134395 [details]
GDB trace of crash with master

Arch Linux 64-bit, KDE Plasma 5
Version: 6.0.0.0.alpha0+
Build ID: 98befbb26217b0bf3f35354e418a355280c52cfc
CPU threads: 8; OS: Linux 4.11; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on June 29th 2017
Comment 2 Julien Nabet 2017-07-02 20:38:45 UTC
Created attachment 134438 [details]
bt with debug symbols (gtk3)

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 3 Julien Nabet 2018-01-28 17:41:43 UTC
On pc Debian x86-64 with master sources updated yesterday, I don't reproduce the crash anymore but it still doesn't do anything instead of restarting.
(no specific log on console about this)
Comment 4 Xisco Faulí 2018-01-28 19:51:40 UTC
No crash here either

Version: 6.1.0.0.alpha0+
Build ID: 5cb225b0b3dbb55fd44899b1fb16bdcfeb866849
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded
Comment 5 Xisco Faulí 2018-12-23 17:50:41 UTC
Hi Mike,
Since you fixed some issues related to 'restart now' recently, I thought you could be interested in this issue...
Comment 6 Xisco Faulí 2018-12-23 18:02:34 UTC
Actually,
there are two behaviors here:

1. If the Options dialog is called from any component but the start center it does nothing.
2. it the Options dialog is called from the start center, it crashes -> bug 122289
Comment 7 Xisco Faulí 2019-01-21 16:07:31 UTC
This is fixed by https://gerrit.libreoffice.org/#/c/66691/.
Closing as a duplicate of bug 122846

*** This bug has been marked as a duplicate of bug 122846 ***